Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • App listing
  • App software
  • App version listing
  • Assets
  • Developer space
  • Migrations
  • Parent software
  • Privacy and security
  • Reporting
  • Reviews
Platform
Atlassian Marketplace / Reference / Marketplace REST API (v3)

Parent software

Postman Collection
OpenAPI

APIs for managing parent software information in the Marketplace. These endpoints allow developers to retrieve details about Atlassian products (like Jira, Confluence) and their versions, including build numbers, version numbers, hosting types, and framework information.

GET

Get list of parent software

Get a list of parent software.

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

limit

integer

cursor

string

Responses

Successfully retrieved parent software list

application/json

ParentSoftwareGetAllResponse
GET/rest/3/parent-software
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/parent-software' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 { "links": { "self": "/rest/3/parent-software", "next": "/rest/3/parent-software?cursor=nextPageToken" }, "parentSoftware": [ { "id": "jira", "developerId": "8152414a-4da9-4f4e-bfb5-8118e9f034e2", "name": "Jira", "hostingOptions": [ { "hosting": "cloud" }, { "hosting": "server", "autoCompatibilityMode": "minor" }, { "hosting": "datacenter", "autoCompatibilityMode": "patch" } ], "extensibilityFrameworks": [ { "frameworkId": "connect" }, { "frameworkId": "forge" } ], "state": "active", "revision": 1 }, { "id": "confluence", "developerId": "8152414a-4da9-4f4e-bfb5-8118e9f034e2", "name": "Confluence", "hostingOptions": [ { "hosting": "cloud" }, { "hosting": "server", "autoCompatibilityMode": "minor" } ], "extensibilityFrameworks": [ { "frameworkId": "connect" }, { "frameworkId": "forge" } ], "state": "active", "revision": 1 } ] }
GET

Get parent software

Get a specified parent software.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Responses

Successfully retrieved parent software

application/json

ParentSoftwareGetResponse
GET/rest/3/parent-software/{parentSoftwareId}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/parent-software/{parentSoftwareId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 { "id": "jira", "developerId": "8152414a-4da9-4f4e-bfb5-8118e9f034e2", "name": "Jira", "hostingOptions": [ { "hosting": "cloud" }, { "hosting": "server", "autoCompatibilityMode": "minor" }, { "hosting": "datacenter", "autoCompatibilityMode": "patch" } ], "extensibilityFrameworks": [ { "frameworkId": "connect" }, { "frameworkId": "forge" } ], "state": "active", "revision": 1 }
GET

Get parent software versions

Get a list of versions for the specified parent software.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Query parameters

limit

integer

cursor

string

Responses

Successfully retrieved parent software versions

application/json

ParentSoftwareVersionsGetResponse
GET/rest/3/parent-software/{parentSoftwareId}/versions
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/parent-software/{parentSoftwareId}/versions' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 { "links": { "self": "/rest/3/parent-software/jira/versions", "next": "/rest/3/parent-software/jira/versions?cursor=nextPageToken" }, "versions": [ { "buildNumber": 90001, "versionNumber": "9.0.1", "hosting": [ "cloud", "server", "datacenter" ], "state": "active", "revision": 1, "createdAt": "2023-01-15T10:30:00Z" }, { "buildNumber": 90000, "versionNumber": "9.0.0", "hosting": [ "cloud", "server" ], "state": "active", "revision": 1, "createdAt": "2022-12-01T10:30:00Z" } ] }
GET

Get parent software version by build number

Get the specified version of the specified parent software, by the version’s build number.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required
buildNumber

integer

Required

Responses

Successfully retrieved parent software version

application/json

ParentSoftwareVersionGetResponse
GET/rest/3/parent-software/{parentSoftwareId}/versions/build/{buildNumber}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/parent-software/{parentSoftwareId}/versions/build/{buildNumber}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 { "buildNumber": 90001, "versionNumber": "9.0.1", "hosting": [ "cloud", "server", "datacenter" ], "state": "active", "revision": 1, "createdAt": "2023-01-15T10:30:00Z" }
GET

Get parent software version by version number

Get the specified version of the specified parent software, by the version’s version number.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required
versionNumber

string

Required

Responses

Successfully retrieved parent software version

application/json

ParentSoftwareVersionGetResponse
GET/rest/3/parent-software/{id}/versions/number/{versionNumber}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/parent-software/{id}/versions/number/{versionNumber}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 { "buildNumber": 90001, "versionNumber": "9.0.1", "hosting": [ "cloud", "server", "datacenter" ], "state": "active", "revision": 1, "createdAt": "2023-01-15T10:30:00Z" }

Rate this page: